## markdown-mode 2.1

=== tests/Makefile ===
EMACS=emacs
MARKDOWN=Markdown.pl

.SUFFIXES: .text .html
.PHONY: test

TEST_SRCS = $(wildcard *.text)
TEST_HTML = $(TEST_SRCS:.text=.html)

.text.html:
	$(MARKDOWN) < $< > $@

test:
	$(EMACS) -Q --batch \
	    --eval '(setq byte-compile-error-on-warn t)' \
	    -l ../markdown-mode.el \
	    -f batch-byte-compile ../markdown-mode.el markdown-test.el
	$(EMACS) -Q --batch \
	    -l ert -l ../markdown-mode.elc -l markdown-test.elc \
	    -f ert-run-tests-batch-and-exit

html: $(TEST_HTML)

clean:
	rm -f $(TEST_HTML) *.elc ../*.elc

## markdown-mode 2.0snapshot78

=== debian/changelog ===
markdown-mode (2.0snapshot78-2) unstable; urgency=medium

  * Rebuild with dh-elpa 0.12. Fixes emacsen-common breakage on emacs
    upgrade.

 -- David Bremner <bremner@debian.org>  Sat, 26 Sep 2015 09:50:00 -0300

markdown-mode (2.0snapshot78-1) unstable; urgency=low

  * Initial upload (Closes: #798209).

 -- David Bremner <bremner@debian.org>  Sun, 13 Sep 2015 20:05:38 -0300

=== debian/control ===
Source: markdown-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.12)
Standards-Version: 3.9.6
Homepage: http://jblevins.org/projects/markdown-mode/
Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/markdown-mode.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-emacsen/pkg/markdown-mode.git/

Package: elpa-markdown-mode
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs | emacsen,
Description: mode for editing Markdown-formatted text files in GNU Emacs.
 The mode provides syntax highlighted, and keyboard shortcuts for
 editing, compiling and previewing Markdown.

## markdown-mode 2.1

=== debian/changelog ===
markdown-mode (2.1-1) unstable; urgency=medium

  * Add Built-Using header
  * New upstream release

 -- David Bremner <bremner@debian.org>  Sun, 14 Feb 2016 12:53:29 -0400

markdown-mode (2.0snapshot78-3) unstable; urgency=medium

  * Rebuild with newer dh-elpa. Should fix: "unowned directory after purge:
    /usr/share/emacs24/site-lisp/elpa/", thanks to Andreas Beckmann
    (Closes: #803449).

 -- David Bremner <bremner@debian.org>  Fri, 30 Oct 2015 07:36:44 -0300

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 Package: elpa-markdown-mode
 Architecture: all
+Built-Using: ${misc:Built-Using}
 Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs | emacsen,
 Description: mode for editing Markdown-formatted text files in GNU Emacs.
  The mode provides syntax highlighted, and keyboard shortcuts for

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	dh_elpa

override_dh_auto_test:
	make -C tests test

## markdown-mode 2.3+154

=== tests/Makefile ===
EMACS=emacs
MARKDOWN=Markdown.pl

.SUFFIXES: .text .html
.PHONY: test

TEST_SRCS = $(wildcard *.text)
TEST_HTML = $(TEST_SRCS:.text=.html)

.text.html:
	$(MARKDOWN) < $< > $@

test: compile-all checkdoc
	$(EMACS) -Q --batch $(CL) \
	    --eval '(setq byte-compile-warnings (quote (not cl-functions)))' \
	    -l ert -l ../markdown-mode.elc -l markdown-test.elc \
	    --eval '(ert-run-tests-batch-and-exit $(SELECTOR))'

checkdoc:
	$(EMACS) -Q --batch $(CL) -l checkdoc-batch.el 2>&1 | \
	    grep -E "markdown-mode.el:[1-9]+" && exit 1 || exit 0

compile-all:
	$(EMACS) -Q --batch $(CL) \
	    --eval '(setq byte-compile-warnings (quote (not cl-functions)))' \
	    --eval '(setq byte-compile-error-on-warn t)' \
	    -l ../markdown-mode.el \
	    -f batch-byte-compile ../markdown-mode.el markdown-test.el

html: $(TEST_HTML)

clean:
	rm -f $(TEST_HTML) *.elc ../*.elc

evm:
	$(MAKE) test EMACS="$(shell evm bin emacs-24.1)" CL="-l cl-lib-0.5.el"
	$(MAKE) test EMACS="$(shell evm bin emacs-24.2)" CL="-l cl-lib-0.5.el"
	$(MAKE) test EMACS="$(shell evm bin emacs-24.3)" CL=""
	$(MAKE) test EMACS="$(shell evm bin emacs-24.4)" CL=""
	$(MAKE) test EMACS="$(shell evm bin emacs-24.5)" CL=""
	$(MAKE) test EMACS="$(shell evm bin emacs-25.1)" CL=""
	$(MAKE) test EMACS="$(shell evm bin emacs-25.2)" CL=""

=== debian/changelog ===
markdown-mode (2.3+154-2) unstable; urgency=medium

  * debian/copyright:
    - Upstream changed to GPL-3+ at 7a8b389 for the markdown-mode 2.3.
      This is now reflected in the Debian package.
    - Update Jason R. Blevins's copyright years.
    - Update David Bremner's copyright years.
    - Switch debian/* to GPL-3+.  David Bremner ACKed on IRC #debian-emacs.
  * Add Suggests: elpa-imenu-list; this enables a document structure sidebar
    (Closes: #900305).
  * Add "Enhances: emacs", because this is normal for an elpa-foo package.
  * Use secure URL for Homepage.
  * Drop minimum dh-elpa version, since stretch has dh-elpa_1.6.
  * Declare Standards-Version: 4.3.0
    - debian/control: Stop using Built-Using.
    - debian/copyright: Use secure URL for Source.
  * Update Vcs links to use salsa instead of alioth.
  * Install upstream README.md, which documents various keyboard shortcuts
    and the significance of gfm-mode.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 23 Jan 2019 09:27:22 -0700

markdown-mode (2.3+154-1) unstable; urgency=medium

  [ David Bremner ]
  * debian: use debhelper compat level 10
  * debian: use --with elpa
  * debian: go back to using upstream's test rule.
    Since it exists, and seems to work

  [ Sean Whitton ]
  * fix two test suite tests with dh_elpa_test
    - test-markdown-ext/ikiwiki
    - test-markdown-font-lock/mmd-metadata

  [ Matteo F. Vescovi ]
  * New upstream release (Closes: #881861)
  * debian/control: debhelper version bump 9 -> 10
  * debian/control: S-V bump 3.9.6 -> 4.1.2 (no changes needed)
  * debian/control: Vcs-* fields updated to use https://

 -- David Bremner <bremner@debian.org>  Sat, 23 Dec 2017 15:55:15 -0400

=== debian/control ===
Source: markdown-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.3.0
Homepage: https://jblevins.org/projects/markdown-mode/
Vcs-Git: https://salsa.debian.org/emacsen-team/markdown-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/markdown-mode

Package: elpa-markdown-mode
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs | emacsen,
Suggests: elpa-imenu-list
Enhances: emacs
Description: mode for editing Markdown-formatted text files in GNU Emacs.
 The mode provides syntax highlighted, and keyboard shortcuts for
 editing, compiling and previewing Markdown.

=== debian/rules ===
#!/usr/bin/make -f

# work around unfortunate versions in upstream snapshots

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

# increase max-specpdl-size by 100 since dh_elpa_test does not
# byte-compile the test suite before running it, unlike upstream's
# Makefile
export DH_ELPA_TEST_DISABLE=1

%:
	dh $@ --with elpa

override_dh_auto_test:
	make -C tests test

## markdown-mode 2.3+210

=== debian/changelog ===
markdown-mode (2.3+210-1) unstable; urgency=medium

  * Team upload.
  * Package new upstream snapshot.
  * Update Maintainer team name and email address.
  * Switch to debhelper-compat 12.
  * Simplify elpa-markdown-mode by using current standards for elpafied
    packages.
  * Add markdown | discount to Recommends.  Discount provides a Markdown 1.0
    compatible interface at /usr/bin/markdown (Closes: #841524).
  * Add libtext-multimarkdown-perl | pandoc | python3-markdown to Suggests.
    While these programs pass the Markdown 1.0 test suite and are recommended
    by upstream, they require additional configuration.
  * Enable autopkgtests, and use the original markdown package to run these.
  * Add debian/elpa-test:
    - Keep "tests/*" around when running autopkgtests.
    - Load debian/ert-helper.el; also, keep it around for autopkgtests.
  * Add debian/ert-helper.el to replicate upstream Makefile behaviour
    eg: byte-compile the test suite before running tests.
  * debian/rules:
    - Enable dh_elpa_test and drop comments related to old method.
    - Override dh_auto_build and dh_auto_test to ignore upstream Makefile.
    - Override dh_auto_clean to cleanup byte compiled lisp files.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 11 Sep 2019 01:48:00 -0400

=== debian/control ===
Source: markdown-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 12), dh-elpa
             , markdown
Homepage: https://jblevins.org/projects/markdown-mode/
Vcs-Git: https://salsa.debian.org/emacsen-team/markdown-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/markdown-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-markdown-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: markdown | discount
Suggests: elpa-imenu-list
        , libtext-multimarkdown-perl | pandoc | python3-markdown
Enhances: emacs
Description: mode for editing Markdown-formatted text files in GNU Emacs.
 The mode provides syntax highlighted, and keyboard shortcuts for
 editing, compiling and previewing Markdown.

## markdown-mode 2.3+290

=== debian/changelog ===
markdown-mode (2.3+290-1) unstable; urgency=medium

  * Team upload.
  * Package new upstream snapshot.
  * Add libtext-markdown-perl as an alternative Recommends; like discount,
    it provides a Markdown 1.0 compatible interface at /usr/bin/markdown.
  * libtext-multimarkdown-perl | pandoc | python3-markdown do not conflict
    with each other and are not alternatives to each other.  Update
    Suggests to list them rather than declaring them as alternatives.
  * Update long description to note supported Markdown flavours, special
    support for GFM, differences in exported results, and optional
    markdown-command alternatives such as Pandoc and
    libtext-multimarkdown-perl.
  * Add pandoc to Build-Depends because the following tests require it:
    - test-markdown-command/list-of-strings
    - test-markdown-command/string-command
    - test-markdown-command/string-command-with-options
  * control: Add Rules-Requires-Root: no.
  * Declare Standards-Version 4.5.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 10 May 2020 18:06:03 -0400

=== debian/control ===
Source: markdown-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12), dh-elpa
             , markdown
             , pandoc
Rules-Requires-Root: no
Homepage: https://jblevins.org/projects/markdown-mode/
Vcs-Git: https://salsa.debian.org/emacsen-team/markdown-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/markdown-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-markdown-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: markdown | discount | libtext-markdown-perl
Suggests: elpa-imenu-list
        , libtext-multimarkdown-perl
        , pandoc
        , python3-markdown
Enhances: emacs
Description: mode for editing Markdown-formatted text files in GNU Emacs.
 The mode provides syntax highlighting, and keyboard shortcuts for editing,
 compiling, and previewing Markdown.  It has general support for various
 markdown flavours, supports Markdown 1.0 and CommonMark, and includes a
 special GFM (Github Flavoured Markdown) major mode.
 .
 Out of the box, markdown-mode will use markdown, discount, or
 libtext-markdown-perl for HTML preview and export by calling
 /usr/bin/markdown.  Please note that they produce slightly different
 results (eg: apostrophes exported as " ' " vs " ’ "), and they may
 handle digressions from the CommonMark specification in different
 ways—for example in what is identified as a sublist rather than a
 subsequent list item.
 .
 If "defcustom markdown-command" is customised it can also be made to
 work with pandoc, libtext-multimarkdown-perl, or python3-markdown.
 Using pandoc will also unlock various other configuration options.
 See README.md and customize-mode for details.

## markdown-mode 2.4

=== Makefile ===
EMACS=emacs

PACKAGE=markdown-mode

SOURCE=markdown-mode.el
COMPILED=markdown-mode.elc

VERSION=$(shell cat $(SOURCE) | sed -n 's/^;; Version: \(.*\)/\1/p')

TEST_FILES=tests/Makefile tests/*.el tests/*.text tests/*.md

.el.elc:
	$(EMACS) -q -no-site-file -no-init-file -batch -f batch-byte-compile $<

all: $(COMPILED)

.PHONY: dist test

test:
	SELECTOR=$(SELECTOR)
	export SELECTOR
	make -C tests test

clean:
	rm -f $(COMPILED)
	make -C tests clean

dist:
	DIR=$$(mktemp -d -t "$(PACKAGE)"); \
	DESTDIR="$$DIR/$(PACKAGE)-$(VERSION)"; \
	mkdir -p $$DESTDIR; \
	cp -a $(SOURCE) $$DESTDIR; \
	mkdir -p $$DESTDIR/tests; \
	cp -a $(TEST_FILES) $$DESTDIR/tests; \
	tar zcf $(CURDIR)/$(PACKAGE)-$(VERSION).tar.gz -C $$DIR .; \
	rm -r $$DIR; \
	echo "$(PACKAGE)-$(VERSION).tar.gz has been created"

update: $(COMPILED)
	cp -a $(SOURCE) $(COMPILED) $(HOME)/.emacs.d/site-lisp

=== debian/changelog ===
markdown-mode (2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to debhelper-compat 13.
  * Address lintian's informational nag "synopsis-is-a-sentence" by dropping
    the end punctuation of the short description.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 30 Jun 2020 15:52:39 -0400

=== debian/rules ===
#!/usr/bin/make -f

# work around unfortunate versions in upstream snapshots

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile

override_dh_auto_test:
	@echo Using dh_elpa_test to run tests instead of upstream Makefile

override_dh_auto_clean:
	rm -f *.elc tests/*.elc

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/markdown-mode-$1\.tar\.gz/ \
  https://github.com/jrblevin/markdown-mode/tags .*/v?(\d\S*)\.tar\.gz

## markdown-mode 2.5

=== tests/Makefile ===
EMACS=emacs
MARKDOWN=Markdown.pl

.SUFFIXES: .text .html
.PHONY: test

TEST_SRCS = $(wildcard *.text)
TEST_HTML = $(TEST_SRCS:.text=.html)

.text.html:
	$(MARKDOWN) < $< > $@

test: compile-all checkdoc
	$(EMACS) -Q --batch \
	    -l ert -l ../markdown-mode.elc -l markdown-test.elc \
	    --eval '(ert-run-tests-batch-and-exit $(SELECTOR))'

checkdoc:
	$(EMACS) -Q --batch -l checkdoc-batch.el 2>&1 | \
	    grep -E "markdown-mode.el:[1-9]+" && exit 1 || exit 0

compile-all:
	$(EMACS) -Q --batch \
	    --eval '(setq byte-compile-error-on-warn t)' \
	    -l ../markdown-mode.el \
	    -f batch-byte-compile ../markdown-mode.el markdown-test.el

html: $(TEST_HTML)

clean:
	rm -f $(TEST_HTML) *.elc ../*.elc

evm:
	$(MAKE) test EMACS="$(shell evm bin emacs-25.1)"
	$(MAKE) test EMACS="$(shell evm bin emacs-25.2)"
	$(MAKE) test EMACS="$(shell evm bin emacs-25.3)"
	$(MAKE) test EMACS="$(shell evm bin emacs-26.1)"
	$(MAKE) test EMACS="$(shell evm bin emacs-26.2)"
	$(MAKE) test EMACS="$(shell evm bin emacs-26.3)"

=== debian/changelog ===
markdown-mode (2.5-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Please import upstream version 2.5", thanks to Nicholas D
    Steeves (Closes: #1009219).

 -- David Bremner <bremner@debian.org>  Tue, 17 May 2022 08:51:02 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12), dh-elpa
+Build-Depends: debhelper-compat (= 13), dh-elpa
              , markdown
              , pandoc
 Rules-Requires-Root: no
@@ -22,7 +22,7 @@
         , pandoc
         , python3-markdown
 Enhances: emacs
-Description: mode for editing Markdown-formatted text files in GNU Emacs.
+Description: mode for editing Markdown-formatted text files in GNU Emacs
  The mode provides syntax highlighting, and keyboard shortcuts for editing,
  compiling, and previewing Markdown.  It has general support for various
  markdown flavours, supports Markdown 1.0 and CommonMark, and includes a

## markdown-mode 2.6

=== debian/changelog ===
markdown-mode (2.6-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:44:23 +0900

markdown-mode (2.6-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload.
  * New upstream release (Closes: #1064619).
  * Mark test wiki-link-rules as expected to fail.
  * Add upstream bug for patches in DEP3 headers.
  * Update Standards-Version to 4.6.2.  No change needed.
  * Update d/watch to version 4 with special substitute strings.
  * Add Upstream-Contact to d/copyright.
  * Add d/upstream/metadata.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 27 Feb 2024 12:33:24 +0800

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/markdown-mode-$1\.tar\.gz/ \
  https://github.com/jrblevin/markdown-mode/tags \
  (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## markdown-mode 2.7

=== tests/Makefile ===
--- 
+++ 
@@ -29,11 +29,3 @@
 
 clean:
 	rm -f $(TEST_HTML) *.elc ../*.elc
-
-evm:
-	$(MAKE) test EMACS="$(shell evm bin emacs-25.1)"
-	$(MAKE) test EMACS="$(shell evm bin emacs-25.2)"
-	$(MAKE) test EMACS="$(shell evm bin emacs-25.3)"
-	$(MAKE) test EMACS="$(shell evm bin emacs-26.1)"
-	$(MAKE) test EMACS="$(shell evm bin emacs-26.2)"
-	$(MAKE) test EMACS="$(shell evm bin emacs-26.3)"

=== debian/changelog ===
markdown-mode (2.7-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.2; no change needed
  * Update section to editors
  * Mark packages required for tests in Build-Depends as "<!nocheck>"
  * Add d/gbp.conf matching the current practice

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 06 Apr 2025 00:19:39 -0700

markdown-mode (2.6-3) unstable; urgency=medium

  [ Xiyue Deng ]
  * Fix ERT test by ensuring correct build directory in d/ert-helper.el
  * Drop patches disabling tests now that they all pass
  * Drop unused override_dh_auto_test in d/rules (dh_elpa_test is in
    effect)
  * Update Standards-Version to 4.7.0; no change needed
  * Update debian copyright holders and years based on git history in
    d/copyright

  [ Nicholas D Steeves and Xiyue Deng ]
  * Discount has provided a Markdown 1.0-compatible interface to users of this
    package since 2.3+290-1.  Given four years of testing by a subset of
    users, and given the pending removal of the original markdown package, it
    is finally time to:
    - Migrate to discount by default for packages builds (Closes: #1073099)

  [ Nicholas D Steeves ]
  * Update my copyright date range.

  [ Xiyue Deng ]
  * Lower `markdown' rank in Recommends after `libtext-markdown-perl'
    - `markdown' has been adopted and no longer being removed, though the
      code base has not been updated since 2004, therefore we prefer
      discount and libtext-markdown-perl which are actively maintained.
  * Add myself to uploaders in d/control
  * Clean up all byte-compiled files to fix build-twice-in-a-row

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Feb 2025 16:13:12 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: markdown-mode
-Section: lisp
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: David Bremner <bremner@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 13), dh-elpa
-             , markdown
-             , pandoc
+Uploaders: David Bremner <bremner@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
+Standards-Version: 4.7.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-elpa,
+ discount <!nocheck>,
+ git <!nocheck>,
+ pandoc <!nocheck>,
 Rules-Requires-Root: no
 Homepage: https://jblevins.org/projects/markdown-mode/
 Vcs-Git: https://salsa.debian.org/emacsen-team/markdown-mode.git
@@ -16,11 +20,13 @@
 Package: elpa-markdown-mode
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: markdown | discount | libtext-markdown-perl
-Suggests: elpa-imenu-list
-        , libtext-multimarkdown-perl
-        , pandoc
-        , python3-markdown
+Recommends:
+ discount | libtext-markdown-perl | markdown,
+Suggests:
+ elpa-imenu-list,
+ libtext-multimarkdown-perl,
+ pandoc,
+ python3-markdown,
 Enhances: emacs
 Description: mode for editing Markdown-formatted text files in GNU Emacs
  The mode provides syntax highlighting, and keyboard shortcuts for editing,

=== debian/rules ===
#!/usr/bin/make -f

# work around unfortunate versions in upstream snapshots

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile

execute_after_dh_auto_clean:
	find . -name "*.elc" -exec rm "{}" \;
